Uploaded image for project: 'PUBLIC - Liferay Maven'
  1. PUBLIC - Liferay Maven
  2. MAVEN-63

liferay-servicebuilder-archtype portlet-service module has incorrect starting version

Details

    Description

      When you create a new maven project and use the liferay-servicebuilder-archtype, the servicebuilder-portlet-service module will always have the version 1.0-SNAPSHOT regardless of the version the user picks in a new maven project wizard in Eclipse. In my testing I was using 0.0.1-SNAPSHOT as the ${version}. So the parent pom.xml and the servicebuilder-portlet module get set to the correct version but the servicebuilder-portlet-service module will always have 1.0-SNAPSHOT which will cause the servicebuilder-portlet to have a depencency problem.

      <dependency>
      <groupId>com.liferay.ide-testing</groupId>
      <artifactId>alpha-service-portlet-service</artifactId>
      <version>${pom.version}</version>
      </dependency>

      Attachments

        Activity

          People

            brian.chan Brian Chan
            gregory.amerson Gregory Amerson
            Votes:
            0 Vote for this issue
            Watchers:
            0 Start watching this issue

            Dates

              Created:
              Updated:
              Resolved:
              9 years, 36 weeks, 3 days ago

              Packages

                Version Package
                6.2.0 GA1
                6.1.30 EE GA3
                6.1.2 CE GA3